Bug 547017 - Review Request: perl-CGI-Application-Plugin-Config-Simple - Add Config::Simple support to CGI::Application
Review Request: perl-CGI-Application-Plugin-Config-Simple - Add Config::Simpl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-13 03:39 EST by Emmanuel Seyman
Modified: 2009-12-24 15:38 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.01-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-24 15:36:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-12-13 03:39:36 EST
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-Config-Simple/perl-CGI-Application-Plugin-Config-Simple.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-Config-Simple/perl-CGI-Application-Plugin-Config-Simple-1.01-1.fc12.src.rpm
Description:
This module acts as a plugin for Config::Simple to be easily used inside of
a CGI::Application module. It does not provide every method available from
Config::Simple but rather easy access to your configuration variables. It
does however provide direct access to the underlying Config::General object
created if you want to use it's full power.
Comment 1 Parag AN(पराग) 2009-12-15 03:29:19 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1872515
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
3ebb71136636bf20394c6be3e359cbed0d43510e  CGI-Application-Plugin-Config-Simple-1.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=20,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.03 cusr  0.01 csys =  0.07 CPU)
+ Package  perl-CGI-Application-Plugin-Config-Simple-1.01-1.fc13.noarch=>
Provides: perl(CGI::Application::Plugin::Config::Simple) = 1.01
Requires: perl(CGI::Application) perl(Config::Simple) perl(base) perl(strict) perl(vars) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-12-15 05:00:47 EST
Thank you for the review, Parag. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-Config-Simple
Short Description: Add Config::Simple support to CGI::Application
Owners: eseyman
Branches: F-11 F-12
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-12-16 00:27:10 EST
cvs done.
Comment 4 Fedora Update System 2009-12-16 05:03:13 EST
perl-CGI-Application-Plugin-Config-Simple-1.01-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-Config-Simple-1.01-1.fc12
Comment 5 Fedora Update System 2009-12-16 05:03:18 EST
perl-CGI-Application-Plugin-Config-Simple-1.01-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-Config-Simple-1.01-1.fc11
Comment 6 Fedora Update System 2009-12-17 23:22:34 EST
perl-CGI-Application-Plugin-Config-Simple-1.01-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-Config-Simple'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13282
Comment 7 Fedora Update System 2009-12-17 23:35:08 EST
perl-CGI-Application-Plugin-Config-Simple-1.01-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-Config-Simple'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13350
Comment 8 Fedora Update System 2009-12-24 15:36:07 EST
perl-CGI-Application-Plugin-Config-Simple-1.01-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-12-24 15:38:31 EST
perl-CGI-Application-Plugin-Config-Simple-1.01-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.